Skip to main content
GET
/
v1
/
contacts
/
{id}
Get contact by id
curl --request GET \
  --url https://api.conduit.ai/v1/contacts/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.conduit.ai/v1/contacts/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.conduit.ai/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "ph77c0dy0mgdpzmqz6tesry8w184002s",
    "workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
    "first_name": "Jane",
    "last_name": "Doe",
    "image_url": null,
    "type": null,
    "inbox_type_id": "guest",
    "archived": false,
    "ai_paused": false,
    "last_message_at": "2026-04-03T03:14:15.000Z",
    "created_at": "2026-04-01T17:22:10.000Z",
    "channels": [
      {
        "id": "ns782tta8jzdst8a2w5vdcgfnd841nzf",
        "type": "unthreaded_email",
        "value": "jane@example.com"
      }
    ]
  }
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}

Authorizations

Authorization
string
header
required

Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.

Path Parameters

id
string
required
Example:

"j57e2g8z4qbydxtjq8rbxprc4x7f2h5d"

Query Parameters

workspace_id
string

Optional workspace override. If omitted, Conduit resolves the contact's workspace automatically.

Example:

"j57demo8f8x7c9v0n2q4r6t8y1u3i5o"

Response

Contact

Single contact response.

data
object
required